unit IBD_ForeignKeyLinks;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,

{$IFDEF IBO_VCL60_OR_GREATER}
  Variants,
{$ENDIF}
  
  Dialogs, StdCtrls, Buttons;

type
  TdlgForeignKeyLinks = class(TForm)
    meFKL_Links: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    cbFKL_Table: TComboBox;
    BitBtn2: TBitBtn;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlgForeignKeyLinks: TdlgForeignKeyLinks;

implementation

{$R *.dfm}

procedure TdlgForeignKeyLinks.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TdlgForeignKeyLinks.BitBtn2Click(Sender: TObject);
begin
  ShowMessage( 'Table is the table the links being referenced are in.'#13#10 +
               'Links is a list of column reference pairs.'#13#10 +
               'Use only the field name in the Links references.'#13#10 +
               'Use the format COL=TABLE_COL for each link entry.'#13#10 +
               'Put only one link entry on each line.'#13#10 +
               'If you don''t enter invalid links then nothing will happen ' +
               'when the hyperlinked grid cell is clicked on.' )
end;

end.


